# __gnu_parallel::binder2nd< _Operation, first_argument_type, second_argument_type, result_type > Class Template Reference

Inheritance diagram for __gnu_parallel::binder2nd< _Operation, first_argument_type, second_argument_type, result_type >:

List of all members.

## Detailed Description

### template<typename _Operation, typename first_argument_type, typename second_argument_type, typename result_type>
class __gnu_parallel::binder2nd< _Operation, first_argument_type, second_argument_type, result_type >

Similar to std::binder2nd, but giving the argument types explicitly.

Definition at line 232 of file base.h.

## Public Types

- typedef first_argument_type argument_type
- typedef result_type result_type

## Public Member Functions

- binder2nd (const _Operation &__x, const second_argument_type &__y)
- result_type operator() (first_argument_type &__x)
- result_type operator() (const first_argument_type &__x) const

## Protected Attributes

- _Operation op
- second_argument_type value

## Member Typedef Documentation

typedef first_argument_type std::unary_function< first_argument_type , result_type >::argument_type `[inherited]`

`argument_type` is the type of the

Definition at line 105 of file stl_function.h.

typedef result_type std::unary_function< first_argument_type , result_type >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 108 of file stl_function.h.

The documentation for this class was generated from the following file:

- base.h